<?php
    require 'load.php';

    $res = json_decode(file_get_contents("urls.json"), true);


    foreach($res as $u) {
        $options = array(
            'http' => array(
                'header' => "User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/91.0.4472.124 Safari/537.36\r\n" .
                            "Referer: https://www.google.com/\r\n" .
                            "Accept: text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,image/apng,*/*;q=0.8,application/signed-exchange;v=b3;q=0.9\r\n" .
                            "Accept-Language: en-US,en;q=0.9,tr;q=0.8\r\n",
                'method' => 'GET'
            ),
            'ssl' => array(
                'verify_peer' => false,
                'verify_peer_name' => false,
            )
        );

        /*$context = stream_context_create($options);

        $file_content = @file_get_contents($u.".js", false, $context);

        if ($file_content === false) {
            echo "Dosyaya erişilemedi veya dosya bulunamadı. ".$u."\n";
        } else {
            // Dosya içeriğini işleyin
            $row = json_decode($file_content, true);
            if (json_last_error() === JSON_ERROR_NONE) {

                foreach($row['variants'] as $variant) {
                    $status             = 1;
                    $title              = count($row['variants']) == 1 ? $row['title'] : $variant['name'];
                    $sku                = $variant['sku'];
                    $ean                = $variant['barcode'];
                    $seo_url	         = $utils->generateUrl($title);

                    $ext = pathinfo(parse_url($row["featured_image"], PHP_URL_PATH), PATHINFO_EXTENSION);
                    $image_url          = $row["featured_image"];
                    $image              = $seo_url."-".uniqid().".".$ext;
                    $save_path          = "../public/assets/images/products/large/".$image;

                    if (strpos($image_url, 'http://') !== 0 && strpos($image_url, 'https://') !== 0) {
                        $image_url = 'https:' . $image_url;
                    }

                    $ch = curl_init($image_url); // cURL oturumu başlat ve URL'yi ayarla

                    // Dosyayı diske kaydetmek için bir dosya işaretçisi oluştur
                    $fp = fopen($save_path, 'wb');
                    if ($fp === false) {
                        echo "Hata: Dosya açılamadı veya yazılamadı: " . $save_path . "\n";
                        curl_close($ch);
                        continue;
                    }

                    // cURL seçeneklerini ayarla
                    curl_setopt($ch, CURLOPT_FILE, $fp); // İndirilen veriyi doğrudan dosyaya yaz
                    curl_setopt($ch, CURLOPT_HEADER, 0); // Başlıkları çıktıya dahil etme
                    curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true); // Yönlendirmeleri takip et
                    curl_setopt($ch, CURLOPT_TIMEOUT, 30); // 30 saniye zaman aşımı

                    // HTTP başlıklarını ayarla (User-Agent ve Referer önemlidir!)
                    curl_setopt($ch, CURLOPT_HTTPHEADER, [
                        "User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/91.0.4472.124 Safari/537.36",
                        "Referer: https://www.mustela.com.tr/", // Resmin alındığı ana alan adını belirtin
                    ]);
                    curl_close($ch);
                    fclose($fp);

                    //$utils->resizeCropImage(400, 500, $row["featured_image"], "../public/assets/images/products/medium/".$image);
                    //$utils->resizeCropImage(170, 170, $row["featured_image"], "../public/assets/images/products/thumb/".$image);

                    $stmt = $db->query("UPDATE {$db->prefix}products SET image=:image WHERE sku=:sku", array(':image'=>$image, ':sku'=>$sku));

                }



                
            } else {
                echo "JSON verisi işlenemedi: " . json_last_error_msg() . " ".$u."\n";
            }
        }*/
    }



    